%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package HTML-SimpleLinkExtor
%{!?__id_u: %define __id_u /bin/id -u}

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	1.09
Release:	1.%{__distinit}%{__distvers}
License:	Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://cpan.uwinnipeg.ca/module/HTML::SimpleLinkExtor
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
BuildArch:	noarch
BuildRequires:	perl-HTML-Parser >= 3.26, perl-URI >= 1.09
Requires:	perl-HTML-Parser >= 3.26, perl-URI >= 1.09

%description
This is a simple HTML link extractor designed for the person who does
not want to deal with the intricacies of HTML::Parser or the
de-referencing needed to get links out of HTML::LinkExtor.

You can extract all the links or some of the links (based on the
HTML tag name or attribute name). If a <BASE HREF> tag is found, all
of the relative URLs will be resolved according to that reference.

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
%{_bindir}/find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
%{_bindir}/find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc MANIFEST Changes README

%changelog
* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.09-1
- Update to 1.09

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.08-1
- Update to 1.08
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.72-1
- Initial build
